/* Keyframe animations */
@keyframes notyf-fadeinup {
  0% {
    opacity: 0;
    transform: translateY(25%);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
@keyframes notyf-fadeinleft {
  0% {
    opacity: 0;
    transform: translateX(25%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}
@keyframes notyf-fadeoutright {
  0% {
    opacity: 1;
    transform: translateX(0);
  }
  100% {
    opacity: 0;
    transform: translateX(25%);
  }
}
@keyframes notyf-fadeoutdown {
  0% {
    opacity: 1;
    transform: translateY(0);
  }
  100% {
    opacity: 0;
    transform: translateY(25%);
  }
}
@keyframes ripple {
  0% {
    transform: scale(0) translateY(-45%) translateX(13%);
  }
  100% {
    transform: scale(1) translateY(-45%) translateX(13%);
  }
}
/* Variables */
/* Base component */
.notyf {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  color: #ffffff;
  z-index: 9999;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
  pointer-events: none;
  box-sizing: border-box;
  padding: 20px;
}
.notyf__icon--error,
.notyf__icon--success {
  height: calc(0.5 * var(--notyf-size) * 1px);
  width: calc(0.5 * var(--notyf-size) * 1px);
  background: white;
  border-radius: 50%;
  display: block;
  margin: 0 auto;
  position: relative;
}
.notyf__icon--error:after,
.notyf__icon--error:before {
  content: "";
  background: currentColor;
  display: block;
  position: absolute;
  width: 3px;
  border-radius: 3px;
  left: 9px;
  height: 12px;
  top: 5px;
}
.notyf__icon--error:after {
  transform: rotate(-45deg);
}
.notyf__icon--error:before {
  transform: rotate(45deg);
}
.notyf__icon--success:after,
.notyf__icon--success:before {
  content: "";
  background: currentColor;
  display: block;
  position: absolute;
  width: 3px;
  border-radius: 3px;
}
.notyf__icon--success:after {
  height: 6px;
  transform: rotate(-45deg);
  top: 9px;
  left: 6px;
}
.notyf__icon--success:before {
  height: 11px;
  transform: rotate(45deg);
  top: 5px;
  left: 10px;
}
.notyf__toast {
  display: block;
  overflow: hidden;
  pointer-events: auto;
  animation: notyf-fadeinup 0.3s ease-in forwards;
  box-shadow: 0px 3px 7px 0 rgba(0, 0, 0, 0.25);
  position: relative;
  padding: 0 15px;
  border-radius: 2px;
  max-width: 300px;
  transform: translateY(25%);
  box-sizing: border-box;
  flex-shrink: 0;
}
.notyf__toast--disappear {
  transform: translateY(0);
  animation: notyf-fadeoutdown 0.3s forwards;
  animation-delay: 0.25s;
}
.notyf__toast--disappear .notyf__message,
.notyf__toast--disappear .notyf__icon {
  animation: notyf-fadeoutdown 0.3s forwards;
  opacity: 1;
  transform: translateY(0);
}
.notyf__toast--disappear .notyf__dismiss {
  animation: notyf-fadeoutright 0.3s forwards;
  opacity: 1;
  transform: translateX(0);
}
.notyf__toast--disappear .notyf__message {
  animation-delay: 0.05s;
}
.notyf__toast--upper {
  margin-bottom: 20px;
}
.notyf__toast--lower {
  margin-top: 20px;
}
.notyf__toast--dismissible .notyf__wrapper {
  padding-right: 30px;
}
.notyf__ripple {
  height: 400px;
  width: 400px;
  position: absolute;
  transform-origin: bottom right;
  right: 0;
  top: 0;
  border-radius: 50%;
  transform: scale(0) translateY(-51%) translateX(13%);
  z-index: 5;
  animation: ripple 0.4s ease-out forwards;
}
.notyf__icon {
  width: 0.22rem;
  text-align: center;
  font-size: 1.3em;
  opacity: 0;
  animation: notyf-fadeinup 0.3s forwards;
  animation-delay: 0.3s;
  margin-right: 13px;
}
.notyf__dismiss {
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  width: 26px;
  margin-right: -15px;
  animation: notyf-fadeinleft 0.3s forwards;
  animation-delay: 0.35s;
  opacity: 0;
}
.notyf__dismiss-btn {
  background-color: rgba(0, 0, 0, 0.25);
  border: none;
  cursor: pointer;
  transition: opacity 0.2s ease, background-color 0.2s ease;
  outline: none;
  opacity: 0.35;
  height: 100%;
  width: 100%;
}
.notyf__dismiss-btn:after,
.notyf__dismiss-btn:before {
  content: "";
  background: white;
  height: 12px;
  width: 2px;
  border-radius: 3px;
  position: absolute;
  left: calc(50% - 1px);
  top: calc(50% - 5px);
}
.notyf__dismiss-btn:after {
  transform: rotate(-45deg);
}
.notyf__dismiss-btn:before {
  transform: rotate(45deg);
}
.notyf__dismiss-btn:hover {
  opacity: 0.7;
  background-color: rgba(0, 0, 0, 0.15);
}
.notyf__dismiss-btn:active {
  opacity: 0.8;
}
.notyf__message {
  vertical-align: middle;
  position: relative;
  opacity: 0;
  animation: notyf-fadeinup 0.3s forwards;
  animation-delay: 0.25s;
  line-height: 1.5em;
}
/* Small screens */
@media only screen and (max-width: 480px) {
  .notyf {
    padding: 0;
    font-size: 9px;
  }
  .notyf__ripple {
    height: 600px;
    width: 600px;
    animation-duration: 0.5s;
  }
  .notyf__toast {
    max-width: initial;
    border-radius: 0;
    box-shadow: 0px -2px 7px 0px rgba(0, 0, 0, 0.13);
    width: 100%;
  }
  .notyf__dismiss {
    width: 56px;
  }
}
.notyf__wrapper {
  display: flex;
  align-items: center;
  padding-top: calc(0.3 * var(--notyf-size) * 1px);
  padding-bottom: calc(0.3 * var(--notyf-size) * 1px);
  padding-right: calc(0.2 * var(--notyf-size) * 1px);
  border-radius: 3px;
  position: relative;
  z-index: 10;
  font-size: var(--notyf-size);
}
@container style(--notyf-show: false) {
  .notyf__wrapper {
    display: none;
  }
}
/*# sourceMappingURL=data:application/json;base64,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 */